Bug 1033084 - sssd_be segfaults if empty grop is resolved using ad_matching_rule
Summary: sssd_be segfaults if empty grop is resolved using ad_matching_rule
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-21 14:19 UTC by Dmitri Pal
Modified: 2020-05-02 17:32 UTC (History)
5 users (show)

Fixed In Version: sssd-1.11.2-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:29:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3199 None None None 2020-05-02 17:32:56 UTC

Description Dmitri Pal 2013-11-21 14:19:47 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2157

if the user configures sssd to use ad_matching_rule and there are no group members, the SSSD accesses random data and crashes.

Comment 1 Jakub Hrozek 2013-11-28 09:59:06 UTC
Fixed upstream:
    master: 7a8f19affd2a050fd2e9631a54c0e67048d3920c
    sssd-1-11: c55ba1127071f7e6a622d8655d89726128d73981
    sssd-1-9: 9fcfa6c6e0469b955459f5df7309df28e0f07cf7

Comment 3 Kaushik Banerjee 2014-01-24 15:42:11 UTC
Verified in version 1.11.2-30.el7

Output from beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: bug_automation_002: bz 1033084 empty group cannot be resolved using ad_matching_rule
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'getent group empty_group' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 14s
:: [   LOG    ] :: Assertions: 1 good, 0 bad
:: [   PASS   ] :: RESULT: bug_automation_002: bz 1033084 empty group cannot be resolved using ad_matching_rule

Comment 4 Ludek Smid 2014-06-13 12:29:59 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.